Subject: [CCAMP] question during presentation on draft-merge-ccamp-gmpls-otn-b100g-applicability-00

From: "Belotti, Sergio (Nokia - IT/Vimercate)" <[email-masked]>
Date: Thu, 8 Nov 2018 08:32:00 +0000

Hi Fatai, Daniele

During the presentation on draft-merge-ccamp-gmpls-otn-b100g-applicability-00 a question was raised about how can be known , in the example of slide 4, that ODU4  can be mapped on ODUC10, that means how to recognize that the server link is related to ODUC10.
In RFC 7139 it is provided text about the mapping of LO-ODU on specific HO-ODU .
The text in Section 6.1 of RFC says:
The OTN-TDM GENERALIZED_LABEL object is used to indicate how the LO ODUj signal is multiplexed into the HO ODUk link.  Note that the LO ODUj Signal Type is indicated by Traffic Parameters, while the type
of HO ODUk link is identified by the selected interface carried inthe IF_ID RSVP_HOP object.

The text in yellow is related to the usage of IF_ID RSVP_HOP object that does not contain any field which explicitly indicate the type of the TE-Link (e.g., HO-ODUk or ODUCn) but it only provides a pointer to the interface associated with that TE-Link and therefore the assumption is that the two nodes terminating that link know (by internal/local configuration) that it is an ODUCn Link instead of an HO-ODUk Link.
In the IF_ID RSVP_HOP object there is in fact IF_INDEX TLV providing exactly the information regarding the data channel connecting the node with the node is going to allocate the label.
So, no need to explicitly saying anything about the type of ODUCn related to the "interface" used between neighbors.

Hope this clarify the issue.
We will provide more text about this point in the next version of the draft.

Thanks

Italo, Qilei , Sergio